<div>
    <h2 id="page-heading">
        <span>Usuarios</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-usuario" [routerLink]="['/usuario/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Usuario
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="usuarios?.length === 0">
        <span>No usuarios found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="usuarios && usuarios.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="loginUsuario"><span>Login Usuario</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="nombreUsuario"><span>Nombre Usuario</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="foto"><span>Foto</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="userId"><span>User Id</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="tipoDocumento"><span>Tipo Documento</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="numeroDocumento"><span>Numero Documento</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="telefono"><span>Telefono</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
                <tr *ngFor="let usuario of usuarios ;trackBy: trackId">
                    <td><a [routerLink]="['/usuario', usuario.id, 'view']">{{ usuario.id }}</a></td>
                    <td>{{ usuario.loginUsuario }}</td>
                    <td>{{ usuario.nombreUsuario }}</td>
                    <td>{{ usuario.foto }}</td>
                    <td>{{ usuario.userId }}</td>
                    <td>{{ usuario.tipoDocumento }}</td>
                    <td>{{ usuario.numeroDocumento }}</td>
                    <td>{{ usuario.telefono }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/usuario', usuario.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/usuario', usuario.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(usuario)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
